// pages/userAgree/userAgree.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    agreeContent: '',
    token: ''
  },
  getToken: function() {
    var self = this;
    return new Promise(resolve =>{
      wx.getStorage({
        key: 'token',
        success(res) {
          self.setData({
            token: res.data
          })
          return resolve();
        }
      })
    })
  },
  getUserAgree: function(type) {
    var self = this;
    app.restAjax.get(app.restAjax.path(app.volunteerUrl + '/wechat-miniapp/agreecontent/getagreecontentbyid/' + type, []), 
      {}, {
        headers: {
          token: self.data.token
        }
      }, function(code, data) {
		    if('200' == code) {
          self.setData({
            agreeContent: data.content
          })
        }
    }, function(code, data) {
      app.dialog.msg(data.msg)
    }, function() {
      
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var type = options.type;
    var self = this;
    this.getToken().then(result => {
      this.getUserAgree(type);
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})